{% extends "index.html" %}
{% block content %}
<div id="form">
    <h1 class="titles">Manage unit</h1>
    <div class="row">
        <div class="col-md-4">
    <form method="POST">
        <div class="form-group">

            <h3>Unit code</h3>
            <p>{{unit.unit_name}}</p>
            <label for="comment">Describe what you are keeping in this unit (optional):</label>
            <textarea name="message" class="form-control" rows="5" id="note-content">{{unit.message}}</textarea>
            
            {% if client_visit %}

                <label>Client visitation date</label>
                <input    value="{{client_visit_date}}"  name="client_visit_date"  id="client_visit_date" class="form-control" />

            {% endif %}

            {% if dropoff_event %}
                    <h4>Dropoff event</h4>
                    <p>{{dropoff_event.date.strftime("%d/%m/%Y")}}</p> 
                    <span>{{dropoff_event.time_category}}</span> 

               
            
            {% endif %}

            {% if pickup_event %}
                <h4>Pickup event</h4>
                <p>{{pickup_event.date.strftime("%d/%m/%Y")}}</p> 
                <span>{{pickup_event.time_category}}</span> 
                
            {% endif %}

          

            {% if no_delivery == False %}
            <h3>Edit delivery information</h3>

            <label>Delivery address in the following format: street number, street name, Stellenbosch  (Only addresses in Stellenbosch)</label>
            <input value="{{pickup_event.address.full_name}}" class="form-control" name="address">



                    <div class="form-group">
                        <label for="comment">Delivery note, make it easier for the driver to find you:</label>
                        <textarea name="delivery_note" class="form-control" rows="5" id="delivery-note-content">{{pickup_event.user_comment}}</textarea>
                    </div>

            <div class="datetime">
                <div>
                    <label>Drop-off date</label>
                    <input type="date"   value="{{dropoff_date}}"  name="dropoff_date"  id="dropoff_date" class="form-control" />
                </div>
                <div>
                    <label>Time</label>    <br>


                    <div class="radio">
                        <label><input value="MORNING" {% if dropoff_event.time_category == 'MORNING' %} checked {% endif %} type="radio" name="dropoff_time">Morning (8AM - 12PM)</label>
                    </div>
                    <div class="radio">
                        <label><input value="AFTERNOON" {% if dropoff_event.time_category == 'AFTERNOON' %} checked {% endif %} type="radio" name="dropoff_time">Afternoon (1PM - 5PM)</label>
                    </div>




                </div>
            </div>
            <div class="datetime">
                <div>
                    <label>Pickup date</label> 
                    <input type="date" required name="pickup_date"  value="{{pickup_date}}"   id="pickup_date" class="form-control" />
                </div>
                <div>
                    <label>Time</label>   <br>
                    <div class="radio">
                        <label><input value="MORNING" {% if pickup_event.time_category == 'MORNING' %} checked {% endif %} type="radio" name="pickup_time">Morning (8AM - 12PM)</label>
                    </div>
                    <div class="radio">
                        <label><input value="AFTERNOON" {% if pickup_event.time_category == 'AFTERNOON' %} checked {% endif %} type="radio" name="pickup_time">Afternoon (1PM - 5PM)</label>
                    </div>
                </div>
            </div>
             {% endif %}
        </div>

        <div class="form-group">
            <button  id="edit-pod" type='submit' class="btn btn-large btn-info">Save updates!</button>
        </div>
    </form>
  
</div>
<div class="col-md-4">
       {% if no_delivery == False %}
        <form method="POST">
        <div class="form-group">
            <input type="hidden" name="_method" value="delete" />
                        <button  type='submit' class="btn btn-large btn-info"> Cancel deliveries</button>

        </div>
    </form>
 
            {% endif %}
    </div>
</div>
</div>
{% endblock %}
{% block scripts %}

<script src="/static/js/client/unit.js?v={{js_version}}"></script>
{% endblock %}

